# Asterisk Project : Asterisk 12 Function_SPRINTF

Added by wikibot , edited by wikibot on Aug 29, 2013

# SPRINTF()

### Synopsis

Format a variable according to a format string.

### Description

Parses the format string specified and returns a string matching that format. Supports most options found in sprintf(3). Returns a shortened string if a format specifier is not recognized.

### Syntax

    SPRINTF(format,arg1,arg2[,...],argN)

##### Arguments

- `format`
- `arg1`
- `arg2`
- `argN`

### See Also

- `sprintf(3)`

### Import Version

This documentation was imported from Asterisk Version Unknown